FlushInfo (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.store, record: FlushInfo

Package org.apache.lucene.store

# Record Class FlushInfo

java.lang.Object
java.lang.Record
org.apache.lucene.store.FlushInfo

public record FlushInfo(int numDocs, long estimatedSegmentSize) extends Record
A FlushInfo provides information required for a FLUSH context. It is used as part of an `IOContext` in case of FLUSH context.

These values are only estimates and are not the actual values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlushInfo(int numDocs, long estimatedSegmentSize)`
  Creates an instance of a `FlushInfo` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `long`
  `estimatedSegmentSize()`
  Returns the value of the `estimatedSegmentSize` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `numDocs()`
  Returns the value of the `numDocs` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlushInfo

    public FlushInfo(int numDocs, long estimatedSegmentSize)
    Creates an instance of a `FlushInfo` record class.
    Parameters:
      `numDocs` - the value for the `numDocs` record component
      `estimatedSegmentSize` - the value for the `estimatedSegmentSize` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### numDocs

    public int numDocs()
    Returns the value of the `numDocs` record component.
    Returns:
      the value of the `numDocs` record component

  - ### estimatedSegmentSize

    public long estimatedSegmentSize()
    Returns the value of the `estimatedSegmentSize` record component.
    Returns:
      the value of the `estimatedSegmentSize` record component